POST V1/PaymentsMaster.{ext}/VerifyPennyTestFiles

To Verify Penny test files.
Mandatory Fileds: PfId,PfDetailsId
Optional Fileds : Comments

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

This is VerifyPennyTestFiles entity.

EMS.Payments.Entities.VerifyPennyTestFiles
NameDescriptionTypeAdditional information
VerifyPennyTestFilesList

Gets or sets Verify Penny Test Files List.

Collection of EMS.Payments.Entities.VerifyPennyTestFile

None.

Request Formats

application/json, text/json

Sample:
{
  "verifyPennyTestFilesList": [
    {
      "pfId": "sample string 1",
      "pfDetailsId": "sample string 2",
      "comments": "sample string 3"
    },
    {
      "pfId": "sample string 1",
      "pfDetailsId": "sample string 2",
      "comments": "sample string 3"
    }
  ]
}

application/xml, text/xml

Sample:
<VerifyPennyTestFiles xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <VerifyPennyTestFilesList>
    <VerifyPennyTestFile>
      <Comments>sample string 3</Comments>
      <PfDetailsId>sample string 2</PfDetailsId>
      <PfId>sample string 1</PfId>
    </VerifyPennyTestFile>
    <VerifyPennyTestFile>
      <Comments>sample string 3</Comments>
      <PfDetailsId>sample string 2</PfDetailsId>
      <PfId>sample string 1</PfId>
    </VerifyPennyTestFile>
  </VerifyPennyTestFilesList>
</VerifyPennyTestFiles>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.